CO_LSSmaster_t Struct Reference
CANopen_305 » LSS Master

LSS master object. More...

`#include <CO_LSSmaster.h>`

## Data Fields

uint32_t | timeout_us
| LSS response timeout in us.
uint8_t | state
| Node is currently selected.
uint8_t | command
| Active command.
uint32_t | timeoutTimer
| Timeout timer for LSS communication.
uint8_t | fsState
| Current state of fastscan master state machine.
uint8_t | fsLssSub
| Current state of node state machine.
uint8_t | fsBitChecked
| Current scan bit position.
uint32_t | fsIdNumber
| Current scan result.
volatile void * | CANrxNew
| Indication if new LSS message is received from CAN bus. More...
uint8_t | CANrxData [8]
| 8 data bytes of the received message
void(* | pFunctSignal )(void *object)
| From CO_LSSmaster_initCallbackPre() or NULL.
void * | functSignalObject
| Pointer to object.
CO_CANmodule_t * | CANdevTx
| From CO_LSSmaster_init()
CO_CANtx_t * | TXbuff
| CAN transmit buffer.

## Detailed Description

LSS master object.

## Field Documentation

## CANrxNew

volatile void* CO_LSSmaster_t::CANrxNew

Indication if new LSS message is received from CAN bus.

It needs to be cleared when received message is completely processed.

The documentation for this struct was generated from the following file:

- 305/CO_LSSmaster.h